# Social.coop govfeed

A simple Mastodon bot designed to share Social.coop governance activities with the community.

## Installation

In Python 3, install dependencies:

```
pip3 install Mastodon.py
pip3 install feedparser
```
Download repo:

```
git clone https://git.coop/social.coop/socialcoop-govfeed.git
```

## Usage

To set up, log into the bot's Mastodon account and create an app: `https://social.coop/settings/applications`. Make sure the bot has full read and write permissions. Using the credentials there, create two files in the same directory as govfeed.py.

`clientcred.secret`:

```
[client key]
[client secret]
https://social.coop
```

`usercred.secret`:

```
[your access token]
https://social.coop
```

Finally, run the program:

```
python3 govfeed.py
```

The program will post links to any entries on the Loomio XML feed that have not yet been posted. A .txt file will be created in the same directory to record the timestamp of the last-posted entry.

To use, set up a chron job to run the program periodically, such as once each hour.
